# -- Parametric settings --
reset

unset key
max(a,b) = (a > b ? a:b)

set parametric
set xyplane at 0  
set grid
load "plot_setting.gp"

# -- Set plot ranges --
xmin = sgn(xmin)*(abs(xmin) < 0.05 ? 0.05:abs(xmin))
xmax = sgn(xmax)*(abs(xmax) < 0.05 ? 0.05:abs(xmax))
Lx   = max(abs(xmin), abs(xmax))

ymin = sgn(ymin)*(abs(ymin) < 0.05 ? 0.05:abs(ymin))
ymax = sgn(ymax)*(abs(ymax) < 0.05 ? 0.05:abs(ymax))
Ly   = max(abs(ymin), abs(ymax))

# -- Plot setting --  
#set xrange[-0.5:0.5]
#set yrange[-0.5:0.5]
set xrange[2*xmin:2*xmax]
set yrange[2*ymin:2*ymax]
set zrange[zmin-1.e-4:zmax+1.e-4]
set xlabel "x" font ", 18"
set ylabel "y" font ", 18"
set zlabel "z" font ", 18"
set tics       font ", 18"
set title title font ", 18"

# -- Start plotting -- 
ntail = nsteps/12   # length of tail 
ninc  = nsteps/200  # increment between frames 

set view 60,30
set hidden3d

do for [ii=1:(nsteps-ntail):ninc] {
  iR = ii+ntail
  iL = ii
#  load "sphere.gp"
  splot 'orbit.dat' using 2:3:($4) with lines lw 1 lt rgb "#D3D3D3" 
  replot 'orbit.dat' using 2:3:($4) every ::iL::iR with lines lw 4 lt 10, \
         'orbit.dat' using 2:3:($4) every ::ii::ii with points ls 1 lt 10

  # Shadow
  replot 'orbit.dat' using 2:3:(0*$4) every ::iL::iR w l ls 3  lt 3 

  pause 0.01
}
