#include<stdio.h>
#include<stdlib.h>
#include<stdarg.h>
#include<string.h>
#include<math.h>

#define XX   0 
#define YY   1
#define ZZ   2 

#define VX   3
#define VY   4
#define VZ   5 

#define NVAR 6

#define MAX(a,b)  ( (a) >= (b) ? (a) : (b) )
#define MIN(a,b)  ( (a) <= (b) ? (a) : (b) )
#define VAR_LOOP(n)  for ((n) = NVAR; (n)--; )
#define NMAX_STEPS  131072

/* ///////////////////////////////////////////////////////////// 
     Define some constants 
   ///////////////////////////////////////////////////////////// */

#define c_CONST    2.99792458e10      /* speed of light in cm/s */
#define pi_CONST   3.14159265358979   /* pi  */
#define me_CONST   9.1093826e-28      /* electron mass */
#define mp_CONST   1.67262171e-24     /* proton mass */
#define e_CONST    4.80320425e-10    /* electron's charge in statcoulomb */
#define Omega1_CONST  (e_CONST/(me_CONST*c_CONST))

/* ///////////////////////////////////////////////////////////// 
     Prototypes
   ///////////////////////////////////////////////////////////// */

int CK45 (double *, double, double, double *, double);
void EMFields (double *, double *, double, double, double, double);
void RHS (double *, double, double *);
void Show(double *q);




